Skip to main content
GET
/
send
/
send_limits
/
{id}
Retrieve send limit
curl --request GET \
  --url https://staging-api.chip-in.asia/api/send/send_limits/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'checksum: <checksum>' \
  --header 'epoch: <epoch>'
import requests

url = "https://staging-api.chip-in.asia/api/send/send_limits/{id}"

headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};

fetch('https://staging-api.chip-in.asia/api/send/send_limits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "currency": "MYR",
  "fee_type": "flat",
  "transaction_type": "out",
  "amount": 0,
  "fee": 1,
  "net_amount": -1,
  "from_settlement": "2023-07-21",
  "status": "success",
  "approvals_required": 0,
  "approvals_received": 0,
  "created_at": "2023-07-20T09:00:16.982Z",
  "updated_at": "2023-07-20T09:00:16.982Z"
}
{
"message": "Bad request",
"code": 400,
"data": {}
}
{
"message": "Unauthorized",
"code": 401,
"data": {}
}
{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}
{
"message": "Record not found",
"code": 404,
"data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

epoch
integer<int64>
required

Unix epoch timestamp Unix timestamp (seconds).

Example:

1619740800

checksum
string
required

Refer to checksum calculation

Path Parameters

id
integer<int64>
required
Example:

1

Response

Successful response

A Send Limit entry that records a balance change on your CHIP Send account.

amount
number
required

1 for RM 1

Example:

0

id
integer<int64>
read-only
Example:

1

currency
enum<string>
  • MYR: Ringgit Malaysia (RM)
Available options:
MYR
Example:

"MYR"

fee_type
enum<string>
Available options:
flat,
percentage
Example:

"flat"

transaction_type
enum<string>
Available options:
in,
out
Example:

"out"

fee
number
read-only

1 for RM 1

Example:

1

net_amount
number
read-only

-1 for -RM 1

Example:

-1

from_settlement
string<date>
read-only
Example:

"2023-07-21"

status
enum<string>

Status will remain pending until all approvers have approved the send limit increase request.

Available options:
pending,
approved,
expired
Example:

"success"

approvals_required
integer
read-only

Number of approvals required before processing.

Example:

0

approvals_received
integer
read-only

Number of approvals received so far.

Example:

0

created_at
string<date-time>
read-only

Object creation time in UTC

updated_at
string<date-time>
read-only

Object updated time in UTC